我的epson aculaser c1100驱动问题

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
头像
relaxssl
帖子: 1448
注册时间: 2007-01-30 7:13
送出感谢: 5 次
接收感谢: 0

我的epson aculaser c1100驱动问题

#1

帖子 relaxssl » 2007-07-30 22:42

在这个地址找到相关的信息

http://www.avasys.jp/english/linux_e/dl_laser.html

但是没有支持ubuntu这个发行版,不知道改如何解决,有没有经验的朋友给指点一下,是不是debian的合适呢?

谢谢。
头像
relaxssl
帖子: 1448
注册时间: 2007-01-30 7:13
送出感谢: 5 次
接收感谢: 0

#2

帖子 relaxssl » 2007-07-30 23:20

Ok, I'm lost.

Yesterday I got my new computer and gladly installed Ubuntu 6.10. The last time I was using Linux at home was with SuSe 8.1 (I think).

So there were some problems with setting everything up, but I managed to solve most of it.
Not the least with the help of this forum here.

But still there's one thing I can't get to work. My printer.

I'm running 6.10, my printer (Epson Aculaser C1100) is plugged in via USB to my Asus router. This works like a charm under Windows, but no dice in Ubuntu.

I used the driver available from Epson (well, actually, the site they link to). Installed the ppd-file, Set up the printer - it won't print.
I tried it with CUPS. I tried it with HP direct. Tried it with LPD. Printer's installed, but it simply won't print.
So I hit the forum here.
Found this:
http://ubuntuforums.org/showthread.p...light=aculaser
Tried that, doesn't work, because I have no cups-config. Tried to install that, didn't find it in Synaptic.
I searched more and found this:
https://launchpad.net/ubuntu/+bug/68183
Doesn't work because I don't have those files anywhere on my computer.

What else could I try?
头像
relaxssl
帖子: 1448
注册时间: 2007-01-30 7:13
送出感谢: 5 次
接收感谢: 0

#3

帖子 relaxssl » 2007-07-30 23:22

You probably haven't enabled the additional repositories in Synaptic.

To do so, follow this:

Click System>Administration>Synaptic Package Manager

It will ask you for your password. Enter it.

Synaptic will open

Click Settings>Repositories

A window will open, headed "Software Sources"

Click on all of the buttons which don't have an 'X" in them.

Click on the dropdown arrow headed "Download From" and select the server closest to you.

Close the window and then re-start Synaptic.

You should now be able to search for and install CUPS.

When you do search, use lower case ie cups
头像
relaxssl
帖子: 1448
注册时间: 2007-01-30 7:13
送出感谢: 5 次
接收感谢: 0

#4

帖子 relaxssl » 2007-07-30 23:32

Ok, it's definitely the printer - I connected my old inkjet Epson Stylus and took a generic driver - it prints (the ink's dried out so I can't tell how good or bad, but the printer gets a signal).

Is there nothing to be done? Without a printer I can't use my computer
头像
relaxssl
帖子: 1448
注册时间: 2007-01-30 7:13
送出感谢: 5 次
接收感谢: 0

#5

帖子 relaxssl » 2007-07-30 23:50

Trying to install gets the following output:

Code:

markus@scubuntu:~/Epson-ALC1100-filter-1.2$ sudo ./configure
Password:
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking for a BSD-compatible install... /usr/bin/install -c
checking for gawk... (cached) gawk
checking for rpmbuild... rpmbuild
checking for cups-config... no
./configure: line 2830: test: =: unary operator expected
configure: error: *** 'cups-config' missing, please install CUPS or fix your $PATH ***
markus@scubuntu:~/Epson-ALC1100-filter-1.2$
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2007-07-30 23:53

:?: :arrow: 有一个网站 linuxprinter.xxx这样的。实时生成驱动的。选择版本/型号就是。你的没看,看晕。
● 鸣学
头像
relaxssl
帖子: 1448
注册时间: 2007-01-30 7:13
送出感谢: 5 次
接收感谢: 0

#7

帖子 relaxssl » 2007-07-30 23:53

Hi!

And just in case for others who search for the util "cups-config". You need to install the CUPS development files, contained in the package libcupsys2-dev.
Got my Samsung ML 1610 working very nicely with Splix now.

Greets,
Björn
头像
relaxssl
帖子: 1448
注册时间: 2007-01-30 7:13
送出感谢: 5 次
接收感谢: 0

#8

帖子 relaxssl » 2007-07-31 0:38

Hi, I had a similar problem but recently I have found a great tech support site that help me deal with these problems. I am sure you will find some solutions there. If you need fast help they also have free live chat support. Here is the page for Epson Aculaser C1100 Support

http://www.fixya.com/support/p343354-ep ... 00_printer

Good luck
回复

回到 “常用硬件支持”